## Capitolo 2. Avvio di GIMP

## 1. Eseguire GIMP

Usually you start GIMP either by clicking GIMP's icon on your desktop (if available), selecting it from a menu, or by typing gimp on a command line. If you have multiple versions of GIMP installed, you may need to add the exact version number: gimp-3.0.

Se lo si desidera, si può fornire un elenco di nomi di file immagine sulla riga di comando dopo il nome del programma in modo che GIMP apra automaticamente quei file dopo l'avvio. È anche possibile aprire i file da GIMP una volta che è in esecuzione usando la finestra di dialogo Apri immagine.

La gran parte dei sistemi operativi supportano l'associazione dei nomi dei file, associando una classe di file (determinata dall'estensione di questi, come ad esempio .jpg) ad una applicazione (come per esempio GIMP). Quando i file immagine sono correttamente «associati» a GIMP, è possibile fare doppio clic su un'immagine con il proprio gestore di file per aprirla automaticamente in GIMP.

Se si ha installato la versione Flatpak di GIMP da flathub.org, avviare GIMP facendo clic su un'icona o digitando flatpak run org.gimp.GIMP//stable da un terminale.

### 1.1. Cambiare lingua

GIMP rileva automaticamente e usa la lingua di sistema. Nella improbabile ipotesi che il rilevamento automatico non funzioni correttamente o se si desiderasse cambiare lingua, il modo più semplice è andando a cambiarla nelle preferenze: Modifica → Preferenze alla sezione Interfaccia modificare la Lingua.

Se si preferisce cambiare lingua impostando le variabili d'ambiente, si può usare:

Sotto Linux

  In LINUX: in console, battere `LANGUAGE=en gimp` o `LANG=en gimp` sostituire en con fr, de, ecc. a seconda della lingua che si desidera impostare. Spiegazione: con l'esecuzione del comando `LANGUAGE=en o LANG=en` si sta impostando una variabile ambiente per il programma eseguito successivamente, `gimp`.

Sotto Windows

  Pannello di controllo → Sistema → Avanzato → Ambiente pulsante in «Variabili di sistema» area: pulsante Aggiungi: inserire LANG come nome e it, de, ecc. come valore. Attenzione! È necessario fare clic sui tre OK successivi per confermare la scelta.

  If you change languages often, you can create a batch file to change the language. Open NotePad. Type the following commands (for French for instance):

  `set lang=fr
  start gimp-3.0.exe`

  Save this file as `GIMP-FR.BAT` (or another name, but always with a `.BAT` extension). Create a shortcut and drag it to your desktop.

Sotto Apple macOS

  Dalle Preferenze di sistema, fare clic sull'icona Generale, e nella scheda Lingua, la lingua preferita dovrebbe essere la prima dell'elenco.

Un'altra istanza di GIMP

  You can use command line parameter `-n` to run multiple instances of GIMP. For example, `gimp-3.0` starts GIMP in the default system language, and `LANGUAGE=en gimp-3.0 -n` starts another instance of GIMP in English. This can be very useful for translators.

### 1.2. Argomenti della riga di comando

Sebbene gli argomenti della riga di comando non siano richiesti quando si avvia GIMP, possono essere utili in determinate situazioni. Su un sistema Unix, usare `man gimp` per ottenerne l'elenco completo.

These arguments must be added to the command line that you use to start GIMP as gimp-3.0 [OPTION...] [FILE|URI...], where «OPTION...» can be one or more of the arguments listed below, followed by one or more file names.

-?, -h, --help

  Mostra un elenco di tutte le opzioni a riga di comando.

--help-all

  Mostra tutte le opzioni di aiuto.

--help-gegl

  Mostra tutte le opzioni GEGL.

--help-gtk

  Mostra le opzioni GTK+.

-v, --version

  Stampa la versione di GIMP e esce.

--license

  Mostra le informazioni sulla licenza e esce.

--verbose

  Mostra i messaggi di partenza in maniera dettagliata.

-n, --new-instance

  Esegue una nuova istanza di GIMP.

-a, --as-new

  Apri le immagini come nuove.

-i, --no-interface

  Esegui senza interfaccia utente.

-d, --no-data

  Non caricare motivi, gradienti, tavolozze, o pennelli. Spesso utile in ambiti non interattivi dove il tempo di esecuzione deve essere ottimizzato.

-f, --no-fonts

  Non caricare nessun carattere. Questa opzione può servire sia a velocizzare la partenza di GIMP per script che non usano i caratteri, sia a trovare i problemi relativi a font malformati che potrebbero bloccare la partenza di GIMP.

-s, --no-splash

  Non mostrare la schermata iniziale alla partenza.

--no-shm

  Non utilizzare la memoria condivisa tra GIMP e i plugin.

--no-cpu-accel

  Non utilizzare le speciali accelerazioni CPU. Utile per trovare e eventualmente disabilitare funzioni o hardware di accelerazione bacati.

--session=`nome`

  Usa un file `sessionrc` differente per la sessione GIMP. Il nome di sessione dato viene accodato al nome file `sessionrc` predefinito.

-g, --gimprc=`nomefile`

  Usa un `gimprc` alternativo invece del predefinito. Il file `gimprc` contiene la registrazione delle preferenze. Utile nel caso che il percorso dei plugin o le specifiche macchina siano differenti.

--system-gimprc=`nomefile`

  Usa un file `gimprc` di sistema alternativo.

-b, --batch=`commands`

  Esegui l'insieme dei comandi in maniera non interattiva. L'insieme dei comandi è tipicamente in forma di script che può essere eseguito da una delle estensioni di script di GIMP. Se il comando è `-` i comandi vengono letti dallo standard input.

--batch-interpreter=`proc`

  Specifica la procedura da usare per elaborare i processi batch. La procedura predefinita è Script-Fu.

--quit

  Esci immediatamente dopo aver eseguito le azioni richieste

-c, --console-messages

  Non mostrare le finestre di dialogo per errori e avvertimenti. Stampa i messaggi sulla console.

--pdb-compat-mode=`mode`

  Modalità compatibile PDB (off|on|warn).

--stack-trace-mode=`mode`

  Esegui il debug nel caso di un blocco (never|query|always) (NdT: mai|chiedi|sempre).

--debug-handlers

  Abilita debugging dei segnali non fatali. Utile per il debugging di GIMP.

--g-fatal-warnings

  Rendi tutti gli avvertimenti (warning) fatali. Utile per il debug.

--dump-gimprc

  Genera un file gimprc con valori predefiniti. Utile se si ha il dubbio di aver rovinato il file gimprc.

--show-playground

  Mostra una pagina delle preferenze con funzioni sperimentali.

--display=`display`

  Usato per indicare il display X (non si applica a tutte le piattaforme).

### 1.3. Cartella di configurazione

Quando viene eseguito per la prima volta, GIMP crea una cartella di configurazione. Tutte le informazioni di configurazione sono memorizzate in questa cartella. Se si rimuove o rinomina la cartella, GIMP ripeterà il processo di configurazione iniziale e creerà una nuova cartella di configurazione.

La posizione esatta della cartella di configurazione dipende dal sistema operativo:

Sotto Linux:

  `$XDG_CONFIG_HOME`

  Usually: `$HOME/.config/GIMP/3.0/`

In Microsoft Windows usando le variabili d'ambiente:

  `%APPDATA%\GIMP\3.0\`

  Usually: `%USERPROFILE%\AppData\Roaming\GIMP\3.0\`

Sotto Apple macOS:

  `NSApplicationSupportDirectory`

  Usually: `~/Library/Application Support/GIMP/3.0/`

### 1.4. Suggerimenti e trucchi

Solo un paio di suggerimenti prima di iniziare:

- GIMP può fornire suggerimenti che si possono consultare in qualsiasi momento usando il comando di menu Aiuto → Suggerimenti del giorno. I suggerimenti forniscono informazioni considerate utili, ma non facili da apprendere sperimentando; quindi vale la pena leggerli. Si prega di considerare di leggere i suggerimenti quando si ha tempo.

- Se a un certo punto si sta provando a fare qualcosa e GIMP sembra aver smesso improvvisamente di funzionare, la sezione Come sbloccarsi potrebbe essere d'aiuto.

- Non si dimentichi di controllare la Finestra delle preferenze. GIMP è molto personalizzabile. Ci sono molte impostazioni adattabili alle proprie preferenze personali.

2. Cosa c'è di nuovo in GIMP |  | Capitolo 3. Primi passi con GIMP

Report a bug in GIMP Segnalate l'errore sulla piattaforma apposita